# log4cpp::NDC::DiagnosticContext Struct Reference

`#include <NDC.hh>`

List of all members.

## Public Member Functions

| DiagnosticContext (const std::string &message)
| DiagnosticContext (const std::string &message, const DiagnosticContext &parent)

## Public Attributes

std::string | message
std::string | fullMessage

## Constructor & Destructor Documentation

log4cpp::NDC::DiagnosticContext::DiagnosticContext | ( | const std::string & | message | ) |

log4cpp::NDC::DiagnosticContext::DiagnosticContext | ( | const std::string & | message,
|  | const DiagnosticContext & | parent |
| ) |  |  |

## Member Data Documentation

std::string log4cpp::NDC::DiagnosticContext::message

std::string log4cpp::NDC::DiagnosticContext::fullMessage

The documentation for this struct was generated from the following files:

- NDC.hh
- NDC.cpp